| index

Package mip_contact_details

Program units

get_party_contact_detail | retrieve a specific contact mechanism for a given party.
get_party_contact_detail_by_id | retrieve a contact detail based on the ID

get_party_contact_detail

    FUNCTION get_party_contact_detail(p_prty_id   IN parties.id%TYPE
                                     ,p_come_type IN contact_mechanism_types.code%TYPE)
      RETURN contact_mechanisms.contact_value%TYPE

retrieve a specific contact mechanism for a given party.

Parameters

| p_prty_id | the ID of the party
| p_come_type | the contact mechanism type

get_party_contact_detail_by_id

    FUNCTION get_party_contact_detail_by_id(p_come_id IN contact_mechanisms.id%TYPE)
      RETURN contact_mechanisms.contact_value%TYPE

retrieve a contact detail based on the ID

Parameters

| p_come_id | the contact mechanism ID